Bug 101956 - FILEOPEN: No JRE or JDK found in OSX 10.9 and lower, 10.10 and up need full JDK
Summary: FILEOPEN: No JRE or JDK found in OSX 10.9 and lower, 10.10 and up need full JDK
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium critical
Assignee: Not Assigned
URL: http://bugs.java.com/bugdatabase/view...
Whiteboard:
Keywords:
: 103232 106314 112090 (view as bug list)
Depends on:
Blocks: Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2016-09-07 07:46 UTC by Alex Thurgood
Modified: 2018-04-24 09:37 UTC (History)
20 users (show)

See Also:
Crash report or crash signature:


Attachments
Options screenshot (164.51 KB, image/png)
2018-04-23 22:27 UTC, David
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2016-09-07 07:46:22 UTC
+++ This bug was initially created as a clone of Bug #94716 +++

Bug 94716 has been fixed. However, the fix for that bug caused LibreOffice to no longer be able to detect either a JRE (Apples JVM6 in combination with an Oracle JRE) or JDK on OSX versions 10.9 or lower.

LibreOffice is currently built for production release against a minimum OSX version of 10.8, which means that we should support all of the available functionality in such a release including access to Java instantiation.

At present, OSX users who require Java functionality, including any that created embedded databases which worked previously, no longer have access to that functionality in current builds.
Comment 1 John Toliver 2016-10-11 13:36:57 UTC
Question for inital poster: While this bug is being triaged and investigated, is it known what the last know working version of Libreoffice that does see the JRE?

I confirm this on OS X Ver. 10.11.6 (El Capitan)
Comment 2 V Stuart Foote 2016-10-11 14:34:38 UTC
LibreOffice builds through 5.0.6.3 will run with JRE 1.8 < 99 and an Apple Java for OS X (2015-001) JRE 1.6

post bug 94716 NeoOffice provided patch to work with JDK 1.8 will not run on OS X 10.8 or 10.9 builds.

and solution for bug 101057 to use JRE/JDK > 99 was not back ported to the LibreOffice 5.0 builds.

Eventually, Oracle and Apple will resolve the OS X JavaVM issues of bug 74877 and at that point the bug 94716 patch can be removed allowing resumed use of JRE.

=-ref-=
https://support.apple.com/kb/DL1572?locale=en_US
Comment 3 V Stuart Foote 2016-10-11 14:48:07 UTC
Something might be done as in bug 85695 to alert on installation (and in Wiki of course) as to how to resolve needed Java support on OS X builds.
Comment 4 John Toliver 2016-10-11 15:04:17 UTC
(In reply to V Stuart Foote from comment #2)
> LibreOffice builds through 5.0.6.3 will run with JRE 1.8 < 99 and an Apple
> Java for OS X (2015-001) JRE 1.6
> 
> post bug 94716 NeoOffice provided patch to work with JDK 1.8 will not run on
> OS X 10.8 or 10.9 builds.
> 
> and solution for bug 101057 to use JRE/JDK > 99 was not back ported to the
> LibreOffice 5.0 builds.
> 
> Eventually, Oracle and Apple will resolve the OS X JavaVM issues of bug
> 74877 and at that point the bug 94716 patch can be removed allowing resumed
> use of JRE.
> 
> =-ref-=
> https://support.apple.com/kb/DL1572?locale=en_US

Thanks for the update. I understand this isn't entirely a LO problem.  I will await a fix from the Apple side. I won't attempt to test if Sierra fixes this (might open more issues rather than fixing "Java Not Found").

Than you for your time.
Comment 5 Alex Thurgood 2016-10-12 10:04:41 UTC
(In reply to John Toliver from comment #4)

@John : installing a complete JDK works around the problem for current versions of LibreOffice on OSX 10.10, 10.11 and 10.12. 

I don't think you can count on Apple fixing the problem, the ball rather appears to lie in Oracle's court.
Comment 6 John Toliver 2016-10-14 03:17:23 UTC
(In reply to Alex Thurgood from comment #5)
> (In reply to John Toliver from comment #4)
> 
> @John : installing a complete JDK works around the problem for current
> versions of LibreOffice on OSX 10.10, 10.11 and 10.12. 
> 
> I don't think you can count on Apple fixing the problem, the ball rather
> appears to lie in Oracle's court.

Thanks so much for your assistance.  I found a suitable full JDK and installed it and immediately, an instance of Java was located. Apple's behavior sometimes makes me scratch my head.
Comment 7 Alex Thurgood 2016-10-19 13:31:36 UTC
*** Bug 103232 has been marked as a duplicate of this bug. ***
Comment 8 Stephan Bergmann 2016-10-19 14:26:01 UTC
(In reply to Alex Thurgood from comment #0)
> Bug 94716 has been fixed. However, the fix for that bug caused LibreOffice
> to no longer be able to detect either a JRE (Apples JVM6 in combination with
> an Oracle JRE) or JDK on OSX versions 10.9 or lower.

I'm a bit confused by the history of this bug and bug 94716 it got cloned from.

Can anybody actually confirm that on OS X 10.8 or 10,9 an installation of an Oracle JDK is not found by LO?
Comment 9 V Stuart Foote 2016-10-19 15:00:01 UTC
(In reply to Stephan Bergmann from comment #8)
> I'm a bit confused by the history of this bug and bug 94716 it got cloned
> from.
> 
> Can anybody actually confirm that on OS X 10.8 or 10,9 an installation of an
> Oracle JDK is not found by LO?

It is old NOTOURBUG bug 74877 -- and Oracle's Java runtime collision with Apples as patched for bug 94716

Oracle's issues:

http://bugs.java.com/bugdatabase/view_bug.do?bug_id=7131356
http://bugs.java.com/bugdatabase/view_bug.do?bug_id=8024281

So, through 5.0, if Apples Java 1.6 is present, a JRE 1.8 will be detected and used.

But as patched at 5.1.0 with
http://cgit.freedesktop.org/libreoffice/core/commit/?id=32bc8ddbf335dd26019edcf12758643b4cff9913

https://bugs.documentfoundation.org/show_bug.cgi?id=94716#c9
No support for Apple JRE or Oracle JRE -- just the JDK.
Comment 10 Stephan Bergmann 2016-10-19 16:36:45 UTC
(In reply to V Stuart Foote from comment #9)
> (In reply to Stephan Bergmann from comment #8)
> > I'm a bit confused by the history of this bug and bug 94716 it got cloned
> > from.
> > 
> > Can anybody actually confirm that on OS X 10.8 or 10,9 an installation of an
> > Oracle JDK is not found by LO?
> 
> It is old NOTOURBUG bug 74877 -- and Oracle's Java runtime collision with
> Apples as patched for bug 94716
> 
> Oracle's issues:
> 
> http://bugs.java.com/bugdatabase/view_bug.do?bug_id=7131356
> http://bugs.java.com/bugdatabase/view_bug.do?bug_id=8024281
> 
> So, through 5.0, if Apples Java 1.6 is present, a JRE 1.8 will be detected
> and used.
> 
> But as patched at 5.1.0 with
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=32bc8ddbf335dd26019edcf12758643b4cff9913
> 
> https://bugs.documentfoundation.org/show_bug.cgi?id=94716#c9
> No support for Apple JRE or Oracle JRE -- just the JDK.

I'm not sure whether that answers my question.  I do understand that, since some version of LO (5.1, as you say), LO only supports (Oracle) JDKs, no longer any plain (Apple, Oracle) JREs.  However, what I'm unsure about is whether that change also really caused LO to not even support (Oracle) JDKs on old versions of OS X (10,8, 10.9), or whether that's an unproven claim.  Hence, my question whether anybody can actually confirm that.  (I myself don't have such an old OS X available.)  Can you confirm it?
Comment 11 Alex Thurgood 2016-10-19 16:52:46 UTC
(In reply to Stephan Bergmann from comment #10)


Hi Stephan,

> I'm not sure whether that answers my question.  I do understand that, since
> some version of LO (5.1, as you say), LO only supports (Oracle) JDKs, no
> longer any plain (Apple, Oracle) JREs.  However, what I'm unsure about is
> whether that change also really caused LO to not even support (Oracle) JDKs
> on old versions of OS X (10,8, 10.9), or whether that's an unproven claim. 
> Hence, my question whether anybody can actually confirm that.  (I myself
> don't have such an old OS X available.)  Can you confirm it?

In bug 94716, comments 14 and 20 confirmed this.

However, I have just tested removing the existing (and now outdated) JDK version I had on my MBPro OSX 10.9.5 machine, and installed the latest JDK8_u111. This was automatically detected by LO 5152.

From comment 26, a second confirmation that the JDK is detected on OSX 10.9.5, so maybe we should close this now as WFM (I have no idea which, if any, commit fixed this).
Comment 12 Alex Thurgood 2016-10-19 16:53:33 UTC
(In reply to Alex Thurgood from comment #11)
> (In reply to Stephan Bergmann from comment #10)
> 
> 


> 
> From comment 26, a second confirmation that the JDK is detected on OSX
> 10.9.5, so maybe we should close this now as WFM (I have no idea which, if
> any, commit fixed this).


Or change the title to reflect the above.
Comment 13 Stephan Bergmann 2016-10-19 17:09:25 UTC
(In reply to Alex Thurgood from comment #11)
> (In reply to Stephan Bergmann from comment #10)
> In bug 94716, comments 14 and 20 confirmed this.

bug 94716 comment 14 indeed looks like confirmation :)

bug 94716 comment 20 mentions "Oracle JDK 8.101", so probably ran into the problem that LO didn't support JDKs with update version number > 99, fixed with <https://cgit.freedesktop.org/libreoffice/core/commit/?id=64d3270a89fd88d4d0cf70329af2c66f722fd95e> "Related: tdf#101057 allow java update version number > 99"

> However, I have just tested removing the existing (and now outdated) JDK
> version I had on my MBPro OSX 10.9.5 machine, and installed the latest
> JDK8_u111. This was automatically detected by LO 5152.
> 
> From comment 26, a second confirmation that the JDK is detected on OSX
> 10.9.5, so maybe we should close this now as WFM (I have no idea which, if
> any, commit fixed this).

Yes, I think closing as WFM would be best then.
Comment 14 Stephan Bergmann 2016-10-19 17:14:21 UTC
(In reply to Alex Thurgood from comment #12)
> Or change the title to reflect the above.

Why change the title yet again?  V Stuart Foote today changed it from "FILEOPEN: No JRE or JDK found in OSX 10.9 and lower" to "FILEOPEN: No JRE or JDK found in OSX 10.9 and lower, 10.10 and up need full JDK" for no apparent reason.  Lets keep this bug focused on the claim that LO no longer detected JDKs on old OS X after <https://cgit.freedesktop.org/libreoffice/core/commit/?id=32bc8ddbf335dd26019edcf12758643b4cff9913> "tdf#94716 allow Oracle's JDK to be used on OS X 10.10 and 10.11".  (If there's demand for a bug to track that LO now no longer detects JREs on any OS X, then either keep that to the original bug 94716 or create a new one.)
Comment 15 V Stuart Foote 2016-10-19 17:30:17 UTC
Changed the title because with bug 94716 closed, folks on 10.10-10.12 with issues of needing the JDK were being duped here.

Though, I'm still not convinced that issue of needing the Apple 1.6 JRE in addition to an Oracle JRE/JDK is resolved for 10.8 or 10.9 users.  Suspect folks reporting success actually have the Apple 1.6 JRE installed--finding pristine hardware for a testing a baremetal install of 10.9 and then LibreOffice with an Oracle JRE/JDK is needed.
Comment 16 Alex Thurgood 2016-11-03 17:02:48 UTC
*** Bug 103605 has been marked as a duplicate of this bug. ***
Comment 17 V Stuart Foote 2017-03-04 15:41:23 UTC
*** Bug 106314 has been marked as a duplicate of this bug. ***
Comment 18 Aron Budea 2017-08-29 17:58:07 UTC
*** Bug 112090 has been marked as a duplicate of this bug. ***
Comment 19 Alex Thurgood 2017-09-21 14:54:30 UTC
*** Bug 112551 has been marked as a duplicate of this bug. ***
Comment 20 David 2018-04-23 22:27:55 UTC
Created attachment 141582 [details]
Options screenshot
Comment 21 David 2018-04-23 22:28:56 UTC
I don't know if this should be registered as a new bug, but given the number of duplicates here, I'll report my experience and if it needs its own space, so be it.

I'm using Version: LibO 6.0.3.2 [Collabora release]
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU threads: 4; OS: Mac OS X 10.10.5;

I have installed the JDK: 

$ java -version
  java version "1.8.0_172"
  Java(TM) SE Runtime Environment (build 1.8.0_172-b11)
  Java HotSpot(TM) 64-Bit Server VM (build 25.172-b11, mixed mode)

  export JAVA_HOME="/Library/Java/JavaVirtualMachines/jdk1.8.0_172.jdk/Contents/Home"

The problem is that my LibO Options have the `LibreOffice > Advanced` "Use a Java runtime environment" greyed out -- it is impossible to use that tool. [See screenshot "_000-libo-adv.png" attached at Comment #20.]

And it seems I have no "embedded" database of any kind: I cannot create a db from within the app. [See screenshot "_000-libo-embed-none.png" attached.]

I have spent several hours (more than 4, less than 10) trying to solve this, and  have failed miserably. I have read through this thread more than once, and have no more options.

I use Base happily on Ubuntu, and would seriously like to be able to access Base on OSX as well. I will happily respond to prompts to diagnose, etc., but I've reached the limits of my ability at this point.
Comment 22 Tor Lillqvist 2018-04-24 07:05:48 UTC
David, when you say "Collabora release", what do you you mean exactly? Do you mean "LibreOffice Vanilla" or "Collabora Office" from the Mac App Store? Those products are built without Java support, because apps distributed in the Mac App Store are not allowed to depend on optional functionality like Java. So if that is the case, then your comment is irrelevant here, the lack of Java is intentional, and your comment is not relevant to what is otherwise discussed in this bug.
Comment 23 David 2018-04-24 07:20:13 UTC
I mean "LibreOffice Vanilla" -- thanks for reply! That clarifies a lot. And means I need to pursue a different line ... like how to persuade Base in LibO Vanilla to work, or whether I need to install "regular" LibO on that MacBook.

Thanks again, and apologies for the noise.

(In reply to Tor Lillqvist from comment #22)
> David, when you say "Collabora release", what do you you mean exactly? Do
> you mean "LibreOffice Vanilla" or "Collabora Office" from the Mac App Store?
> Those products are built without Java support, because apps distributed in
> the Mac App Store are not allowed to depend on optional functionality like
> Java. So if that is the case, then your comment is irrelevant here, the lack
> of Java is intentional, and your comment is not relevant to what is
> otherwise discussed in this bug.
Comment 24 Michael Meeks 2018-04-24 08:14:31 UTC
Hi David - the long term plan for de-java-isation of Base pivots around the new Firebird backend and migration of legacy HSQLDB databases there; if base doesn't work on Mac with firebird now in 6.0 it might be worth filing another bug on that.
Comment 25 Michael Meeks 2018-04-24 08:14:31 UTC Comment hidden (obsolete)
Comment 26 Tor Lillqvist 2018-04-24 09:11:58 UTC
Note that we don't currently include the Firebird database back-end in LibreOffice Vanilla, though. This is because of a problem in the Firebird source code that makes it crash when compiled with optimisation with a current Clang (from Xcode). There is a workaround for that in master, I will look into back-porting that to the libreoffice-6-0 branch.
Comment 27 David 2018-04-24 09:18:59 UTC
Thanks, @Michael, @Tor -- am I right in thinking that Base is effectively non-functional in LibO Vanilla, then? Or at least not functional "out of the box"?

I'll methodically attempt to create/use a db with Base on OSX in next few days (for me it's Ubuntu by day, and OSX by night in GMT), and if I fail will raise new issue. If you have any advice/pointers meanwhile, it would be gratefully received! I would be happy to be directly emailed (should anyone here wish to) about diagnosing, etc., if that helps keep noise down here.

(Sorry for extending discussion here when irrelevant to the bug, but I don't know how else to carry this forward!)
Comment 28 Tor Lillqvist 2018-04-24 09:37:35 UTC
David, that is correct yes, as far as I see. (I am not really a Base expert, or even user.) Connecting to an external database using one of the included back-ends should work, though, I assume. (But no idea if it works with the SQLite thing that comes with macOS.)